Package de.willuhn.jameica.hbci.server

# Class SynchronizeSchedulerServiceImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.jameica.hbci.server.SynchronizeSchedulerServiceImpl

All Implemented Interfaces:
  `de.willuhn.datasource.Service`, `SynchronizeSchedulerService`, `Serializable`, `Remote`

public class SynchronizeSchedulerServiceImpl extends UnicastRemoteObject implements SynchronizeSchedulerService
Implementierung des Scheduler-Services für die automatische Synchronisierung.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SynchronizeSchedulerServiceImpl.SchedulerTask`
Implementierung des Timer-Tasks.

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`SynchronizeSchedulerServiceImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getLastExecution()`
Liefert Datum und Uhrzeit der letzten Ausfuehrung.
`String`
`getName()`
`Date`
`getNextExecution()`
Liefert Datum und Uhrzeit der naechsten Ausfuehrung.
`int`
`getStatus()`
Liefert den Status der letzten Synchronisierung.
`boolean`
`isStartable()`
`boolean`
`isStarted()`
`void`
`start()`
`void`
`stop(boolean arg0)`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SynchronizeSchedulerServiceImpl

public SynchronizeSchedulerServiceImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getName

public String getName() throws RemoteException

Specified by:
  `getName` in interface `de.willuhn.datasource.Service`
Throws:
  `RemoteException`
See Also:
  - `Service.getName()`

### isStartable

public boolean isStartable() throws RemoteException

Specified by:
  `isStartable` in interface `de.willuhn.datasource.Service`
Throws:
  `RemoteException`
See Also:
  - `Service.isStartable()`

### isStarted

public boolean isStarted() throws RemoteException

Specified by:
  `isStarted` in interface `de.willuhn.datasource.Service`
Throws:
  `RemoteException`
See Also:
  - `Service.isStarted()`

### start

public void start() throws RemoteException

Specified by:
  `start` in interface `de.willuhn.datasource.Service`
Throws:
  `RemoteException`
See Also:
  - `Service.start()`

### getStatus

public int getStatus() throws RemoteException
Description copied from interface: `SynchronizeSchedulerService`
Liefert den Status der letzten Synchronisierung.

Specified by:
  `getStatus` in interface `SynchronizeSchedulerService`
Returns:
  der Status der letzten Synchronisierung.
Throws:
  `RemoteException`
See Also:
  - `SynchronizeSchedulerService.getStatus()`

### stop

public void stop(boolean arg0) throws RemoteException

Specified by:
  `stop` in interface `de.willuhn.datasource.Service`
Throws:
  `RemoteException`
See Also:
  - `Service.stop(boolean)`

### getLastExecution

public Date getLastExecution() throws RemoteException
Description copied from interface: `SynchronizeSchedulerService`
Liefert Datum und Uhrzeit der letzten Ausfuehrung.

Specified by:
  `getLastExecution` in interface `SynchronizeSchedulerService`
Returns:
  Datum und Uhrzeit der letzten Ausfuehrung.
Throws:
  `RemoteException`
See Also:
  - `SynchronizeSchedulerService.getLastExecution()`

### getNextExecution

public Date getNextExecution() throws RemoteException
Description copied from interface: `SynchronizeSchedulerService`
Liefert Datum und Uhrzeit der naechsten Ausfuehrung.

Specified by:
  `getNextExecution` in interface `SynchronizeSchedulerService`
Returns:
  Datum und Uhrzeit der naechsten Ausfuehrung.
Throws:
  `RemoteException`
See Also:
  - `SynchronizeSchedulerService.getNextExecution()`